#!/bin/bash
if [ ! -f "$1" ]; then
    echo "FAIL: $1 is Not a File!" >&2
    exit 1
else
    sample="$1"
fi

# submit da fucker ig
curl -X POST -H "X-ApiKey: $VIRUSTOTAL_API_KEY" -F "file=@$sample" https://www.virustotal.com/api/v3/files

# make da sha256 for da fookin link ig for to make da fookin link jfc
link="https://www.virustotal.com/gui/file/$(sha256sum $sample | awk '{print $1}')"

# fookin show the fuuuckin link fuuck
echo -e "\nVirustotal Link: $link\n"